/**
 * 就业、救助大屏地图撒点一样
 */

import { mapJyTableData, mapJzTableData } from "../data/table/tableData";
import { readFileList } from "../dataPackage/tool";

/**
 * 就业地图坐标点位
 * @param req 
 * @param res 
 */
export function getJyMap(req, res) {
    let mapExcelData = mapJyTableData();

    let ret:any = {};

    let mapDataList = mapExcelData["地图坐标点位"].dataList;

    // mapDataList.forEach( info => {
    //     if (info.ispop) info.ispop = true;
    //     else info.ispop = false;
    // })

    ret['map'] = {title: '地图坐标点位', dataList: mapDataList};

    res.send(ret);
}


/**
 * 救助地图坐标点位
 * @param req 
 * @param res 
 */
export function getJzMap(req, res) {
    let mapExcelData = mapJzTableData();

    let ret:any = {};

    let mapDataList = mapExcelData["地图坐标点位"].dataList;

    ret['map'] = {title: '地图坐标点位', dataList: mapDataList};

    res.send(ret);
}



/**
 * 地图服务基地
 * @param req 
 * @param res 
 */
 export function getPop(req, res) {
    let alias = req.query.alias || "享业苑社区就业服务站";
    let ret:any = {};

    let imgData = readFileList(`img/地图服务基地/${alias}/`, [], "jpg");
    ret["imgData"] = {title:alias, dataList:imgData};

    res.send(ret);
}






